upstream pypiserver {
  server 127.0.0.1:8000;
}

proxy_cache_path
  /etc/nginx/cache
  levels=1:2
  keys_zone=pypiserver_cache:10m
  max_size=10g
  inactive=60m
  use_temp_path=off;

server {
  location / {
    proxy_cache pypiserver_cache;
    proxy_pass http://pypiserver;
    #proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-Host $host:$server_port;
    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    #proxy_read_timeout 3000;
  }

  include /etc/nginx/conf.d/default/*.conf;
}
